Subject: OIL

From: paul carrillo <[email-masked]>
Date: Sun, 4 May 2025 17:38:39 -0700

*We are a direct mandate to various Government refineries in Houston,
Rotterdam, Oman, Dubai, Saudi Arabia, Kuwait and Kazakhstan, I’ll love to
build a good business relationship with you.We currently have available
products in Rotterdam port and Houston port like AVIATION KEROSENE COLONIAL
GRADE A1 JET FUEL A1/JP54, Kazakhstan D2 DIESEL GAS OIL Kazakhstan DIESEL
EN590 10PPM,  HSD2 GAS OIL, Kazakhstan VIRGIN FUEL OIL D6, LIQUEFIED
NATURAL GAS, LIQUEFIED PETROLEUM GAS, Kazakhstan LIGHT CYCLE OIL, ETC.
Kindly advise if you are in contact with buyer’s who are interested in
getting our products and your commission will be saved on the Seller side.I
believe you are in contact with potential buyers one way or the other. Can
we connect on WhatsApp, What's your number, So I can send our soft
offer.Email: [email-masked]
<[email-masked]>Phone/WhatsApp: +31619415104website:
 https://stamproductsbv.com/ <https://stamproductsbv.com/>*